
Name:          mina
Version:       2.0.4
Release:       %mkrel 1
Summary:       A Multipurpose Infrastructure for Network Applications
Group:         Development/Java
License:       ASL 2.0
Url:           http://mina.apache.org/
Source0:       ftp://ftp.gbnet.net/pub/apache/dist/mina/2.0.4/apache-mina-2.0.4-src.tar.gz
# remove
# org.codehaus.mojo clirr-maven-plugin 2.3
# org.codehaus.mojo dashboard-maven-plugin 1.0.0-beta-1
# org.apache.geronimo.genesis.plugins tools-maven-plugin 1.4
# edit
# org.codehaus.mojo rat-maven-plugin
Patch0:        mina-2.0.4-parent-pom.patch
# spring2 support
Patch1:        mina-2.0.4-parent-spring-core.patch
Patch2:        mina-2.0.4-integration-xbean-spring-beans.patch
Patch3:        mina-2.0.4-example-spring-context.patch
Patch4:        mina-2.0.4-integration-xbean-test.patch
Patch5:        mina-2.0.4-example-test.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: easymock2
BuildRequires: easymock2-classextension
BuildRequires: javassist >= 3.14.0-4
BuildRequires: jdom
BuildRequires: jmock1
BuildRequires: junit4
BuildRequires: jzlib >= 1.0.7-12
BuildRequires: liblog4j-java
BuildRequires: objenesis
BuildRequires: ognl >= 3.0.2
BuildRequires: plexus-utils
BuildRequires: pmd >= 4.2.5
BuildRequires: rmock
BuildRequires: rxtx >= 2.1.7.2-2
BuildRequires: servletapi5
BuildRequires: slf4j
BuildRequires: spring2-aop
BuildRequires: spring2-beans
BuildRequires: spring2-context
BuildRequires: spring2-core
BuildRequires: tomcat5
BuildRequires: tomcat5-server-lib
BuildRequires: xbean >= 3.7-9


BuildRequires: apache-rat-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-docck-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-plugin
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-scm
BuildRequires: maven-shade-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: findbugs-maven-plugin
BuildRequires: javancss-maven-plugin
BuildRequires: jdepend-maven-plugin
BuildRequires: taglist-maven-plugin
BuildRequires: versions-maven-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-commons-lang
Requires:      apache-commons-logging
Requires:      easymock2
Requires:      easymock2-classextension
Requires:      javassist >= 3.14.0-4
Requires:      jdom
Requires:      jmock1
Requires:      jzlib >= 1.0.7-12
Requires:      liblog4j-java
Requires:      ognl >= 3.0.2
Requires:      plexus-utils
Requires:      pmd >= 4.2.5
Requires:      rmock
Requires:      rxtx >= 2.1.7.2-2
Requires:      servletapi5
Requires:      slf4j
Requires:      spring2-aop
Requires:      spring2-beans
Requires:      spring2-context
Requires:      spring2-core
Requires:      tomcat5-server-lib
Requires:      xbean >= 3.7-9

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Apache MINA is a network application framework which helps users develop high performance and
highly scalable network applications easily. It provides an abstract event-driven asynchronous API
over various transports such as TCP/IP and UDP/IP via Java NIO.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n apache-mina-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

# TODO
#sed -i "s|<version.bundle.plugin>2.2.0|<version.bundle.plugin>2.0.0|" src/pom.xml
#sed -i "s|<version>2.3.4</version>|<version>2.0.0</version>|" src/pom.xml

sed -i "s|<version.release.plugin>2.1|<version.release.plugin>2.0|" src/pom.xml
sed -i "s|<version>2.1</version>|<version>2.0</version>|" src/pom.xml
# maven-site-plugin
sed -i "s|<version>3.0-beta-3</version>|<version>2.3</version>|" src/pom.xml

%build
cd src
# with-LGPL-dependencies for transport-serial
mvn-rpmbuild -Dwith-LGPL-dependencies=true install -Dmaven.test.skip=true javadoc:aggregate 

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
cd src
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -pm 644 %{name}-core/target/%{name}-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core.jar
install -pm 644 %{name}-example/target/%{name}-example-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/example.jar
install -pm 644 %{name}-filter-compression/target/%{name}-filter-compression-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/filter-compression.jar
install -pm 644 %{name}-integration-beans/target/%{name}-integration-beans-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/integration-beans.jar
install -pm 644 %{name}-integration-jmx/target/%{name}-integration-jmx-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/integration-jmx.jar
install -pm 644 %{name}-integration-ognl/target/%{name}-integration-ognl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/integration-ognl.jar
install -pm 644 %{name}-integration-xbean/target/%{name}-integration-xbean-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/integration-xbean.jar
install -pm 644 %{name}-legal/target/%{name}-legal-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/legal.jar
install -pm 644 %{name}-statemachine/target/%{name}-statemachine-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/statemachine.jar
install -pm 644 %{name}-transport-apr/target/%{name}-transport-apr-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/transport-apr.jar
install -pm 644 %{name}-transport-serial/target/%{name}-transport-serial-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/transport-serial.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom
install -pm 644 %{name}-core/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-core.pom
%add_maven_depmap JPP.%{name}-core.pom %{name}/core.jar
install -pm 644 %{name}-example/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-example.pom
%add_maven_depmap JPP.%{name}-example.pom %{name}/example.jar
install -pm 644 %{name}-filter-compression/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-filter-compression.pom
%add_maven_depmap JPP.%{name}-filter-compression.pom %{name}/filter-compression.jar
install -pm 644 %{name}-integration-beans/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-integration-beans.pom
%add_maven_depmap JPP.%{name}-integration-beans.pom %{name}/integration-beans.jar
install -pm 644 %{name}-integration-jmx/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-integration-jmx.pom
%add_maven_depmap JPP.%{name}-integration-jmx.pom %{name}/integration-jmx.jar
install -pm 644 %{name}-integration-ognl/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-integration-ognl.pom
%add_maven_depmap JPP.%{name}-integration-ognl.pom %{name}/integration-ognl.jar
install -pm 644 %{name}-integration-xbean/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-integration-xbean.pom
%add_maven_depmap JPP.%{name}-integration-xbean.pom %{name}/integration-xbean.jar
install -pm 644 %{name}-legal/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-legal.pom
%add_maven_depmap JPP.%{name}-legal.pom %{name}/legal.jar
install -pm 644 %{name}-statemachine/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-statemachine.pom
%add_maven_depmap JPP.%{name}-statemachine.pom %{name}/statemachine.jar
install -pm 644 %{name}-transport-apr/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-transport-apr.pom
%add_maven_depmap JPP.%{name}-transport-apr.pom %{name}/transport-apr.jar
install -pm 644 %{name}-transport-serial/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-transport-serial.pom
%add_maven_depmap JPP.%{name}-transport-serial.pom %{name}/transport-serial.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/example.jar
%{_javadir}/%{name}/filter-compression.jar
%{_javadir}/%{name}/integration-beans.jar
%{_javadir}/%{name}/integration-jmx.jar
%{_javadir}/%{name}/integration-ognl.jar
%{_javadir}/%{name}/integration-xbean.jar
%{_javadir}/%{name}/legal.jar
%{_javadir}/%{name}/statemachine.jar
%{_javadir}/%{name}/transport-apr.jar
%{_javadir}/%{name}/transport-serial.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Dec 07 2011 gil <gil> 2.0.4-1.mga2
+ Revision: 178349
- build fix remove sed for maven-plugin-bundle
- build fix added tomcat5 BR
- build fix
  more BR objenesis
- imported package mina

